<?php

namespace App\Controllers;

use App\Models\Model_kategori_pelatihan;

class kategori_pelatihan extends BaseController
{

    public function __construct()
    {
        $this->Model_kategori_pelatihan = new Model_kategori_pelatihan();
        helper('form');
    }

    public function index()
    {
        $data = array(
            'title' => 'kategori_pelatihan   ',
            'kategori_pelatihan' => $this->Model_kategori_pelatihan->all_data(),
            'isi'    => 'v_kategori_pelatihan'
        );
        return view('layout/v_wrapper', $data);
    }

    public function add()
    {
        $data = array('nama_kategori_pelatihan' => $this->request->getPost('nama_kategori_pelatihan'));
        $this->Model_kategori_pelatihan->add($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Tambahkan !!!');
        return redirect()->to(base_url('kategori_pelatihan'));
    }

    public function edit($id_kategori_pelatihan)
    {
        $data = array(
            'id_kategori_pelatihan' => $id_kategori_pelatihan,
            'nama_kategori_pelatihan' => $this->request->getPost('nama_kategori_pelatihan'),
        );
        $this->Model_kategori_pelatihan->edit($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Update !!!');
        return redirect()->to(base_url('kategori_pelatihan'));
    }

    public function delete($id_kategori_pelatihan)
    {
        $data = array(
            'id_kategori_pelatihan' => $id_kategori_pelatihan,
        );
        $this->Model_kategori_pelatihan->delete_data($data);
        session()->setFlashdata('pesan', 'Data Berhasil Di Hapus !!!');
        return redirect()->to(base_url('kategori_pelatihan'));
    }
    //--------------------------------------------------------------------

}
